Getting Started with the Kendo UI for Angular Spreadsheet

This guide provides the information you need to start using the Kendo UI for Angular Spreadsheet—it includes instructions about the available installation approaches, the required dependencies, the code for running the project, and links to additional resources.

The Spreadsheet Package is part of Kendo UI for Angular, a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Example
View Source
Change Theme:

Setting Up Your Angular Project

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Component

You can choose to use either of the following two approaches for installing the Kendo UI for Angular package and the styles you want to apply:

Quick Setup with Angular CLI

The quick setup presents an automatic approach for adding packages with Angular CLI through the ng-add command. It is suitable for saving time and efforts as ng-add executes in a single step a set of otherwise individually needed commands.

To add the Kendo UI for Angular Spreadsheet package, run the following command:

ng add @progress/kendo-angular-spreadsheet

As a result, the ng-add command will perform the following actions:

  • Add the @progress/kendo-angular-spreadsheet package as a dependency to the package.json file.
  • Import the SpreadsheetModule in the current application's main module (only if the application uses NgModules).

    If your application uses standalone components, you must import the SpreadsheetModule manually.

  • Register the Kendo UI Default theme in the angular.json file.
  • Add all required peer dependencies to the package.json file.
  • Trigger npm install to install the theme and all peer packages that are added.

Manual Setup

The manual setup provides greater visibility and better control over the files and references installed in your Angular application. You can install the required peer dependencies and a Kendo UI theme by running separate commands for each step and import the desired component modules in your NgModule.

  1. Install the Spreadsheet package together with its dependencies by running the following command:

    npm install --save @progress/kendo-angular-spreadsheet @progress/kendo-angular-common @progress/kendo-angular-buttons @progress/kendo-angular-dialog @progress/kendo-angular-dropdowns @progress/kendo-angular-icons @progress/kendo-angular-l10n @progress/kendo-angular-layout @progress/kendo-angular-menu @progress/kendo-angular-popup @progress/kendo-angular-toolbar @progress/kendo-angular-intl @progress/kendo-licensing
  2. To add the Spreadsheet component, import the SpreadsheetModule either in your NgModule or standalone components.

    • Using Modules

      import { NgModule } from '@angular/core';
      import { BrowserModule } from '@angular/platform-browser';
      import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
      import { SpreadsheetModule } from '@progress/kendo-angular-spreadsheet';
      import { AppComponent } from './app.component';
      
      @NgModule({
          imports: [BrowserModule, BrowserAnimationsModule, SpreadsheetModule],
          declarations: [AppComponent],
          bootstrap: [AppComponent]
      })
      
      export class AppModule {}
    • Using Standalone Components

      import { Component } from '@angular/core';
      import { SpreadsheetModule } from '@progress/kendo-angular-spreadsheet';
      
      @Component({
          standalone: true,
          selector: 'my-app',
          imports: [SpreadsheetModule],
          template: `
              <kendo-spreadsheet></kendo-spreadsheet>
          `.
      })
  3. The next step is to style the component by installing one of the available Kendo UI themes—Kendo UI Default, Kendo UI Material, or Kendo UI Bootstrap.

    3.1 To start using a theme, install its package through NPM.

    • Default theme

      npm install --save @progress/kendo-theme-default
    • Bootstrap theme

      npm install --save @progress/kendo-theme-bootstrap
    • Material theme

      npm install --save @progress/kendo-theme-material

    3.2 After the theme package is installed, reference it in your project. You can include kendo-themes in your project in one of the following ways:

Using the Component

  1. After successfully installing the Spreadsheet package and importing its module, add the following code in the app.component.html file:

    <kendo-spreadsheet [sheets]="data"></kendo-spreadsheet>
  2. Bind the sheets property to a SheetDescriptor array in the app.component.ts file.

    public data: SheetDescriptor[] = [
        {
            name: 'Food Order',
            rows: [
                {cells: [ {value: 'ID'}, {value: 'Product'} ]},
                {cells: [ {value: 216321}, {value: 'Calzone'} ]},
                ...
            ]
        },
    ];
  3. Build and serve the application by running the following command in the root folder.

    ng serve
  4. Point your browser to http://localhost:4200 to see the Kendo UI for Angular Spreadsheet component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Dependencies

The following table lists the specific functionalities that are provided by each of the Spreadsheet dependencies as per package:

Package NameDescription
@angular/commonProvides the commonly-needed services, pipes, and directives provided by the Angular team. For more information, refer to the official Angular documentation.
@angular/coreContains critical runtime parts of the Angular framework that are needed by every application. For more information, refer to the official Angular documentation.
@angular/animationsContains the library of Angular animations. For more information, refer to the official Angular documentation.
@angular/localizeContains the library of Angular animations. For more information, refer to the official Angular documentation.
@progress/kendo-angular-buttonsContains the Kendo UI for Angular Buttons components.
@progress/kendo-angular-commonContains common utilities that are needed by every Kendo UI for Angular component.
@progress/kendo-angular-dialogContains the Kendo UI for Angular Dialog components.
@progress/kendo-angular-dropdownsContains the Kendo UI for Angular Dropdowns components.
@progress/kendo-angular-iconsContains the Kendo UI for Angular Icons.
@progress/kendo-angular-l10nProvides the globalization features of Kendo UI for Angular.
@progress/kendo-angular-layoutContains the Kendo UI for Angular TabStrip component.
@progress/kendo-angular-menuContains the Kendo UI for Angular Menu components.
@progress/kendo-angular-popupContains the Kendo UI for Angular Popup components.
@progress/kendo-angular-toolbarContains the Kendo UI for Angular Toolbar component.
@progress/kendo-angular-intlProvides the Kendo UI for Angular services and pipes for the parsing and formatting of dates and numbers.
@progress/kendo-licensingContains the kendo-ui-license CLI Tool for license management and the validatePackage function and type definitions that are used by licensed packages.
rxjsProvides the RxJS library for reactive programming which uses Observables for an easier composition of asynchronous or callback-based code.

Learning Resources

Getting Started with the KendoReact Spreadsheet
This guide provides essential information about using the KendoReact Spreadsheet package. You will learn how to install the Spreadsheet package, add a Spreadsheet component to your project, style the component, and activate your license.
After completing this guide, you will be able to reproduce the following example.
Setting Up Your React Project
Before you install the KendoReact Spreadsheet, make sure that you have a running React project. The easiest way to set up a project for the KendoReact components is to use the create-kendoreact-app
tool that is described in the Get Started with KendoReact article.
Installing the Spreadsheet Package
All KendoReact packages are distributed through npm and offer a similar installation experience. To use the Spreadsheet component, start with the installation of the Spreadsheet npm package and its dependencies. Use Node.js v5.0.0 or later.
npm install --save @progress/kendo-react-spreadsheet @progress/kendo-licensing @progress/kendo-svg-icons @progress/kendo-react-buttons @progress/kendo-react-intl @progress/kendo-react-animation @progress/kendo-react-treeview @progress/kendo-react-dropdowns @progress/kendo-drawing @progress/kendo-react-form @progress/kendo-react-inputs @progress/kendo-react-progressbars @progress/kendo-react-layout @progress/kendo-react-popup @progress/kendo-react-sortable @progress/kendo-react-upload
Importing the Component
After installing the package, import the Spreadsheet component in the React App.
In the src/App.js
file of your React project, import the Spreadsheet
component from the Spreadsheet package.
// ES2015 module syntax
import { Spreadsheet } from '@progress/kendo-react-spreadsheet';
// CommonJS format
const { Spreadsheet } = require('@progress/kendo-react-spreadsheet');
Using the Component
-
After installing the Spreadsheet package and importing the components, add the Spreadsheet tag to the App component file of your React project (for example,
src/App.js
). -
Load the JSON sheets data in the
defaultProps
of the Spreadsheet in order to display initial Excel document in the component.function SpreadsheetContainer() { return ( <Spreadsheet style={{ width: '100%', height: 700 }} defaultProps={{ sheets: data }} /> ); } ReactDOM.render(<SpreadsheetContainer />, document.getElementById('app'));
-
To style the Spreadsheet, install and import the Default theme, which is one of the three beautiful themes for KendoReact.
3.1. Install the Default theme package.
npm install --save @progress/kendo-theme-default
3.2. Import the CSS file from the package in
src/App.js
. Add this import before your existingApp.css
import.import '@progress/kendo-theme-default/dist/all.css';
-
Build and run the application by typing the following command in the root folder of your project:
npm start
-
Navigate to http://localhost:3000 to see the KendoReact Spreadsheet component on the page.
Activating Your License Key
Using any of the UI components in the KendoReact library requires either a commercial license key or an active trial license key.
Follow the instructions on the KendoReact My License page to activate your trial or commercial license. You can skip this step if your application already contains a KendoReact license file.
Dependencies
The PDFViewer package requires you to install the following peer dependencies in your application:
Package Name | Description |
---|---|
react 16.8.2* | Contains the functionality necessary to define React components. |
react-dom | Contains the React renderer for the web. |
@progress/kendo-drawing | Contains the Drawing library, which provides interactive vector graphics. |
@progress/kendo-licensing | Contains the internal infrastructure related to licensing. |
@progress/kendo-react-animation | Enables the animations in the KendoReact components. |
@progress/kendo-react-buttons | Contains the KendoReact Buttons components. |
@progress/kendo-react-dropdowns | Contains the KendoReact Dropdowns, which allows users to choose from a predefined list of options. |
@progress/kendo-react-form | Contains the KendoReact Form components. |
@progress/kendo-react-inputs | Contains the KendoReact Inputs components. |
@progress/kendo-react-intl | Contains the KendoReact Internationalization package that applies the desired cultures by providing services and pipes for the parsing and formatting of dates and numbers. |
@progress/kendo-react-layout | Contains the KendoReact Layout components. |
@progress/kendo-react-popup | Contains the KendoReact Popup component. |
@progress/kendo-react-progressbars | Contains the KendoReact ProgressBar component. |
@progress/kendo-react-sortable | Contains the KendoReact Sortable component. |
@progress/kendo-react-spreadsheet | Contains the KendoReact Spreadsheet component. |
@progress/kendo-react-treeview | Contains the KendoReact Treeview components. |
@progress/kendo-react-upload | Contains the KendoReact Upload components. |
@progress/kendo-svg-icons | Contains the KendoReact SVG icons. |